#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int main(int argc, char** argv) {
  registerGen(argc, argv, 1);
  cout << 1 << "\n";
  
  int n = opt<int>("n");
  int mina = opt<int>("mina");
  int maxa = opt<int>("maxa");
  cout << n << "\n";
  for (int i = 0; i < n; ++i) {
    cout << rnd.next(mina, maxa) << " \n"[i + 1 == n];
  }
  return 0;
}
